Bug 893157 - sdljava is FTBFS on ARM
sdljava is FTBFS on ARM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sdljava (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-01-08 13:17 EST by Peter Robinson
Modified: 2013-04-03 00:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-03 00:53:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2013-01-08 13:17:15 EST
Fails on ARMv7 with the following error:

+ make 'CFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard -fno-strict-aliasing -fPIC'
swig -I. -I/usr/lib/jvm/java/include -I/usr/lib/jvm/java/include/linux -I/usr/include -I/usr/include/SDL -I/usr/lib/gcc/armv7hl-redhat-linux-gnueabi/4.7.2//include -D__NO_CTYPE -D_ISbit -D__arm__ -importall -java -package sdljava.x.swig -outdir ../x/swig SDLAudio.i
/usr/include/gnu/stubs.h:7: Error: Unable to find 'gnu/stubs-soft.h'
make: *** [SDLAudio_wrap.c] Error 1
RPM build errors:

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1356585
Comment 1 Hans de Goede 2013-03-24 16:57:33 EDT
Thanks for the report, this is fixed in sdljava-0.9.1-22.fc*.

I'm starting builds for F-18+ now, and I'll also push the F-18 build through bodhi so that eventually dependent packages can be build for F-18+
Comment 2 Fedora Update System 2013-03-24 17:17:42 EDT
sdljava-0.9.1-22.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sdljava-0.9.1-22.fc18
Comment 3 Fedora Update System 2013-03-25 18:50:48 EDT
Package sdljava-0.9.1-22.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sdljava-0.9.1-22.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4379/sdljava-0.9.1-22.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-04-03 00:53:06 EDT
sdljava-0.9.1-22.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.